Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::PerfTracker Class Reference

Used to track global performance events. More...

`#include <PerfTracker.h>`

List of all members.

## Public Member Functions
bool | onEvent (GlobalEvent event)
| Trigger a global event.
const TimeValue & | appStartTime () const
const TimeValue & | appInitializedTime () const
uint32_t | getNewSessionID ()

## Static Public Member Functions
static PerfTracker & | getInstance ()
| Get the window instance.

## Private Member Functions
| PerfTracker ()
| ~PerfTracker ()
| PerfTracker (const PerfTracker &)
PerfTracker & | operator= (const PerfTracker &)
bool | initialize ()

## Private Attributes
TimeValue | m_appStartTime
TimeValue | m_appInitializedTime
TimeValue | m_firstDisplayTime
uint64_t | m_displayCount
Ordered< uint32_t > | m_sessionId

## Detailed Description

Used to track global performance events.

Definition at line 58 of file PerfTracker.h.

## Constructor & Destructor Documentation

ArgusSamples::PerfTracker::PerfTracker | ( |  | ) |
| private

Definition at line 44 of file PerfTracker.cpp.

ArgusSamples::PerfTracker::~PerfTracker | ( |  | ) |
| private

Definition at line 49 of file PerfTracker.cpp.

ArgusSamples::PerfTracker::PerfTracker | ( | const PerfTracker & |  | ) |
| private

## Member Function Documentation

const TimeValue& ArgusSamples::PerfTracker::appInitializedTime | ( |  | ) | const
| inline

Returns:
  the point in time when app initialization finished

Definition at line 84 of file PerfTracker.h.

const TimeValue& ArgusSamples::PerfTracker::appStartTime | ( |  | ) | const
| inline

Returns:
  the point in time when the app had been started

Definition at line 76 of file PerfTracker.h.

PerfTracker & ArgusSamples::PerfTracker::getInstance | ( |  | ) |
| static

Get the window instance.

Definition at line 60 of file PerfTracker.cpp.

uint32_t ArgusSamples::PerfTracker::getNewSessionID | ( |  | ) |
| inline

Returns:
  a new session Id

Definition at line 92 of file PerfTracker.h.

bool ArgusSamples::PerfTracker::initialize | ( |  | ) |
| private

Definition at line 53 of file PerfTracker.cpp.

bool ArgusSamples::PerfTracker::onEvent | ( | GlobalEvent | event | ) |

Trigger a global event.

Parameters:

  type | [in] event type

Definition at line 81 of file PerfTracker.cpp.

PerfTracker& ArgusSamples::PerfTracker::operator= | ( | const PerfTracker & |  | ) |
| private

## Member Data Documentation

TimeValue ArgusSamples::PerfTracker::m_appInitializedTime
| private

Definition at line 109 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::m_appStartTime
| private

Definition at line 108 of file PerfTracker.h.

uint64_t ArgusSamples::PerfTracker::m_displayCount
| private

Definition at line 112 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::m_firstDisplayTime
| private

Definition at line 111 of file PerfTracker.h.

Ordered<uint32_t> ArgusSamples::PerfTracker::m_sessionId
| private

Definition at line 114 of file PerfTracker.h.

The documentation for this class was generated from the following files:

- modules/PerfTracker.h
- modules/PerfTracker.cpp